-----------------------------------
-- Area: South Gustaberg	
-- MOB:  Ornery Sheep
-----------------------------------	

package.loaded["/scripts/zones/South_Gustaberg/MobIDs"] = nil;
require("/scripts/zones/South_Gustaberg/MobIDs");
require("/scripts/globals/fieldsofvalor");

-----------------------------------
-- onMobDeath	
-----------------------------------
	
function onMobDeath(mob,killer)

  -- Check if Mob is NM PHer
  if (inArray(CAR_PH, mob:getID())) then

    -- Get NM's previous ToD
    CAR_ToD = GetServerVariable("[POP]Carnero");

    -- Check if NM window is open, and that the NM isn't popped already (ACTION_NONE = 0)
    if (CAR_ToD <= os.time(t) and GetMobAction(CARNERO) == 0 ) then

      -- Give Mob a 5% chance to spawn NM
      if (math.random((1),(20)) == 5) then

        -- Use the PH's pos
        SetMobPos(CARNERO, mob:getXPos(), mob:getYPos(), mob:getZPos(), math.random((0),(360)));

        -- Set NM to spawn on PH respawn
        SpawnMob(CARNERO, 'nil', 330);

        -- Set PH action to ACTION_NONE, and save id to DB until NM death
        SetServerVariable("[PH]Carnero", mob:getID());
        DeterMob(mob:getID(), true);
      end

    end

  end
  
end;