-----------------------------------
-- Area: South Gustaberg	
-- MOB:  Rock Lizard	
-----------------------------------	

package.loaded["/scripts/zones/South_Gustaberg/MobIDs"] = nil;
require("/scripts/zones/South_Gustaberg/MobIDs");
require("/scripts/globals/fieldsofvalor");

-----------------------------------
-- onMobDeath	
-----------------------------------
	
function onMobDeath(mob,killer)
  checkRegime(killer,mob,80,1);

  -- Check if Mob is NM PHer
  if (inArray(LL_PH, mob:getID())) then

    -- Get NM's previous ToD
    LL_ToD = GetServerVariable("[POP]Leaping_Lizzy");

    -- Check if NM window is open, and that the NM isn't popped already (ACTION_NONE = 0)
    if (LL_ToD <= os.time(t) and GetMobAction(LEAPING_LIZZY) == 0 ) then

      -- Give Mob a 5% chance to spawn NM
      if (math.random((1),(20)) == 5) then

        -- Use the PH's pos
        SetMobPos(LEAPING_LIZZY, mob:getXPos(), mob:getYPos(), mob:getZPos(), math.random((0),(360)));

        -- Set NM to spawn on PH respawn
        SpawnMob(LEAPING_LIZZY, 'nil', 330);

        -- Set PH action to ACTION_NONE, and save id to DB until NM death
        SetServerVariable("[PH]Leaping_Lizzy", mob:getID());
        DeterMob(mob:getID(), true);
      end

    end

  end

end;